export type PropsDropDownFilter<T> = {
    options: T[];
    topic: string;
    filterOnChange?: (selectedOption: T) => void;
};


export type PropsSliderFilter = {
    topic: string;
    min: number;
    max: number;
    filterOnChange: (selectedRange: [number,number])=> void
};

export type DropdownOption = string | number | readonly string[]

export type HttpMethod = "GET" | "POST" | "DELETE" | "PUT" | "PATCH";
